Ticket #33873

「英数かな」のトグル操作を点字ディスプレイに通知しない

Open Date: 2014-05-25 17:43 Last Update: 2014-06-15 17:04

Reporter: nishimoto Owner: (None)
Type: Bugs Status: Closed
Component: IME MileStone: 2014.3jp-public-beta (closed)
Priority: 5 - Medium Severity: 5 - Medium
Resolution: Fixed

Details

「英数かな」のトグル操作を点字ディスプレイに通知しないことについて nvda-japanese-users メーリングリストで指摘いただいたので確認しました。

半角全角キーの現状:

  • 押すたびに「変換停止」「文字変換」を音声と点字で出力する
  • ただし音声については「日本語設定」でビープ音にしたときはビープ音だけ
  • 点字はメッセージとして出力

無変換キー(「英数かな」のトグル操作)の現状:

  • IMEの種類や設定によって異なるかもしれないが「半角英数」「ひらがなローマ字」を音声で通知
  • この通知は点字ディスプレイに出力されない

Attachment File List

No attachments

Ticket History (3/4 Histories)

2014-05-25 17:43 Updated by: nishimoto
  • New Ticket "「英数かな」のトグル操作を点字ディスプレイに通知しない" created
2014-06-02 15:27 Updated by: nishimoto
2014-06-14 11:05 Updated by: nishimoto
  • Resolution Update from Accepted to Fixed
  • Component Update from (None) to IME
Comment

日本語テスト版 jpbeta140614

https://dl.dropboxusercontent.com/u/62564469/nvda_jpbeta140614.exe

「英数かな」のトグル操作を点字ディスプレイに通知する実装を行いました。

以下、ブランチの情報:

To ssh://git@bitbucket.org/nvdajp/nvdajp.git
 * [new branch]      ti33873 -> ti33873
2014-06-15 17:04 Updated by: nishimoto
  • Ticket Close date is changed to 2014-06-15 17:04
  • Status Update from Open to Closed
Comment

jpbeta ブランチにマージしました。

何か不具合あったら教えてください。

Edit

Please login to add comment to this ticket » Login